org.springframework.mail

## Class MailAuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.mail.MailException
          - - org.springframework.mail.MailAuthenticationException

All Implemented Interfaces:
  Serializable

    public class MailAuthenticationException
    extends MailException

Exception thrown on failed authentication.

Author:
  Dmitriy Kopylenko, Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MailAuthenticationException(String msg)` Constructor for MailAuthenticationException.
`MailAuthenticationException(String msg, Throwable cause)` Constructor for MailAuthenticationException.
`MailAuthenticationException(Throwable cause)` Constructor for MailAuthenticationException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MailAuthenticationException

    public MailAuthenticationException(String msg)

Constructor for MailAuthenticationException.

Parameters:
  `msg` - message

#### MailAuthenticationException

    public MailAuthenticationException(String msg,
                               Throwable cause)

Constructor for MailAuthenticationException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the mail API in use

#### MailAuthenticationException

    public MailAuthenticationException(Throwable cause)

Constructor for MailAuthenticationException.

Parameters:
  `cause` - the root cause from the mail API in use